### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
GJRGARCHModel Class Reference

GJR-GARCH model for the stochastic volatility of an asset. More...

`#include <ql/models/equity/gjrgarchmodel.hpp>`

Inheritance diagram for GJRGARCHModel:
[legend]

List of all members.

## Public Member Functions

| GJRGARCHModel (const boost::shared_ptr< GJRGARCHProcess > &process)
Real | omega () const
Real | alpha () const
Real | beta () const
Real | gamma () const
Real | lambda () const
Real | v0 () const
boost::shared_ptr < GJRGARCHProcess > | process () const

## Protected Member Functions

void | generateArguments ()

## Protected Attributes

boost::shared_ptr < GJRGARCHProcess > | process_

## Detailed Description

GJR-GARCH model for the stochastic volatility of an asset.

References:

Glosten, L., Jagannathan, R., Runkle, D., 1993. Relationship between the expected value and the volatility of the nominal excess return on stocks. Journal of Finance 48, 1779-1801

Tests:
  calibration is not implemented for GJR-GARCH